## -*- coding: utf-8 -*-
<%inherit file="/base.mako" />

<%def name="title()">Customer Orders Configuration</%def>

<div class="form">
  ${h.form(url('custorders.config'))}

    <div class="field-wrapper">
      <label for="handler">Order Handler</label>
      <div class="field">
        <div class="grid hoverable">
          <table>
            <thead>
              <tr>
                <th>&nbsp;</th>
                <th>Name</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              % for i, handler in enumerate(sorted(registered_handlers.itervalues(), key=lambda h: h.name), 1):
                  <tr class="${'odd' if i % 2 else 'even'}">
                    <td>${h.radio('handler', handler.key, checked=current_handler.key == handler.key)}</td>
                    <td>${handler.name}</td>
                    <td>${handler.description}</td>
                  </tr>
              % endfor
            </tbody>
          </table>
        </div>
      </div>
    </div>

    <div class="buttons">
      ${h.submit('save', "Save")}
      <a class="button" href="${url('custorders.config')}">Cancel</a>
    </div>

  ${h.end_form()}
</div>
