## -*- coding: utf-8 -*-
<%namespace file="/autocomplete.mako" import="autocomplete" />

<%def name="item_dialog()">
  <div id="item-dialog" style="display: none;">

    <div id="item-tabs">
      <ul>
        <li><a href="#item-product-tab">Product</a></li>
        <li><a href="#item-quantity-tab">Quantity</a></li>
        <li><a href="#item-note-tab">Note</a></li>
      </ul>

      <div id="item-product-tab">

        <div class="product-info">
          ${h.radio('product_exists', 'true', label="Product is already in the system.")}
          <div id="product-info-known">

            <div class="fieldset">

              <div class="field-wrapper">
                <label for="product_uuid-textbox">Description</label>
                <div class="field">${autocomplete('product_uuid', url('products.autocomplete'), selected='ItemDialog.productSelected', cleared='ItemDialog.productCleared')}</div>
              </div>

              <div class="field-wrapper">
                <label for="upc">UPC</label>
                <div class="field" id="upc-container">
                  <div id="upc-input">
                    ${h.text('upc-textbox')}
                    <button type="button" id="upc-fetch">Fetch</button>
                  </div>
                  <div id="upc-display" style="display: none;">
                    <span>&nbsp;</span>
                    <button type="button" id="upc-change">Change</button>
                  </div>
                </div>
              </div>

            </div>

          </div>
        </div>

        <div class="product-info">
          ${h.radio('product_exists', 'false', label="Product cannot be located in the system.")}
          <div id="product-info-unknown">
            <div class="fieldset">

              <div class="field-wrapper">
                <label for="product_description">Description</label>
                <div class="field">${h.textarea('product_description')}</div>
              </div>

            </div>
          </div>
        </div>

      </div><!-- item-product-tab -->

      <div id="item-quantity-tab">
        <div class="fieldset">

          <div class="field-wrapper">
            <label for="quantity">Quantity</label>
            <div class="field">${h.text('quantity')}</div>
          </div>

          <div class="field-wrapper">
            <label for="unit_of_measure">Unit of Measure</label>
            <div class="field">${h.select('unit_of_measure', None, [])}</div>
          </div>

          <div class="field-wrapper">
            <label for="discount">Discount %</label>
            <div class="field">${h.text('discount')}</div>
          </div>

          <div class="field-wrapper">
            <label for="price_per_uom">Price / UoM</label>
            <div class="field">${h.text('price_per_uom', disabled=True)}</div>
          </div>

          <div class="field-wrapper">
            <label for="price_before_discount">Before Discount</label>
            <div class="field">${h.text('price_before_discount', disabled=True)}</div>
          </div>

          <div class="field-wrapper">
            <label for="price_after_discount">After Discount</label>
            <div class="field">${h.text('price_after_discount', disabled=True)}</div>
          </div>

        </div>
      </div><!-- item-quantity-tab -->

      <div id="item-note-tab">
        <p><strong>This note will apply only to this particular item.</strong></p>
        <p>Please see the main screen to attach a note to the order as a whole.</p>
        ${h.textarea('note')}
      </div><!-- item-note-tab -->

    </div><!-- item-tabs -->

  </div><!-- item-dialog -->
</%def>
