## -*- coding: utf-8 -*-
<%inherit file="/base.mako" />
<%namespace file="/autocomplete.mako" import="autocomplete" />
<%namespace file="/custorders/new.itemdialog.mako" import="item_dialog" />

<%def name="title()">New Customer Order</%def>

<%def name="head_tags()">
  ${h.javascript_link(request.static_url('tailbone:static/js/lib/underscore-1.4.4.min.js'))}
  ${h.javascript_link(request.static_url('tailbone:static/js/lib/backbone-1.0.0.min.js'))}
  ${h.javascript_link(request.static_url('tailbone:static/js/lib/backbone.localStorage-1.1.0.min.js'))}
  ${h.javascript_link(request.static_url('tailbone:static/js/custorders.new.js'))}
  <script type="text/javascript">

    ## FIXME: These URLs must be generated from within a Mako template.
    var urls = {
##         home: '${url('home')}',
        customer_info: '${url('customer.info')}',
        product_search: '${url('products.search')}',
        product_info: '${url('custorders.product_info')}',
##         employee_login: '${url('employee_login')}',
        create_orders: '${url('custorders.new')}'
##         orders_created: '${url('specialorders.created')}'
    };

    // Some global defaults for customer orders.
    ## var default_discount = ${default_discount};
    var default_discount = 0;
    var default_ambiguous_product_description = '';
    ## % for field in ambiguous_product_fields:
    ##     default_ambiguous_product_description += '${field}: \n';
    ## % endfor

    ## Default units of measure must leverage Rattail enumeration values.
    var default_units_of_measure = [
        ['${rattail.enum.UNIT_OF_MEASURE_EACH}', "${rattail.enum.UNIT_OF_MEASURE[rattail.enum.UNIT_OF_MEASURE_EACH]}"],
        ['${rattail.enum.UNIT_OF_MEASURE_POUND}', "${rattail.enum.UNIT_OF_MEASURE[rattail.enum.UNIT_OF_MEASURE_POUND]}"],
        ['${rattail.enum.UNIT_OF_MEASURE_CASE}', "${rattail.enum.UNIT_OF_MEASURE[rattail.enum.UNIT_OF_MEASURE_CASE]}"]
    ];

    $(function() {
        App.setMainFocus();
    });

  </script>
  ${h.stylesheet_link(request.static_url('tailbone:static/css/custorders.new.css'))}
</%def>

${form.begin(name='new_order')}

<div id="order-tabs">

  <ul>
    <li><a href="#order-customer-tab">Customer</a></li>
    <li><a href="#order-items-tab">Item(s)</a></li>
    <li><a href="#order-note-tab">Note</a></li>
  </ul>

  <div id="order-customer-tab">

    <div class="customer-info">
      ${form.radio('customer_exists', value='true', label="Customer is already in the system.", checked=True)}
      <div id="customer-info-known">
        <div class="fieldset">

          <div class="field-wrapper">
            <label for="customer_uuid-textbox">Customer</label>
            <div class="field">${autocomplete('customer_uuid', url('customers.autocomplete'), selected='customer_selected', cleared='clear_customer')}</div>
          </div>

          <div class="field-wrapper">
            <label for="customer_phone_known-textbox">Phone Number</label>
            <div class="field">${autocomplete('customer_phone_known', url('customers.autocomplete.phone'), select='customer_phone_selected', options={'minLength': 4})}</div>
          </div>

          <div class="field-wrapper update-phone">
            ${h.checkbox('update-phone', label="Please update this customer's phone number in the system.", checked=False)}
          </div>

          <div class="field-wrapper customer-notes">
            <label for="customer-notes">Customer Notes</label>
            <div class="field" id="customer-notes"></div>
          </div>

        </div>
      </div>
    </div>

    <div class="customer-info">
      ${form.radio('customer_exists', value='false', label="Customer cannot be located in the system.", checked=False)}
      <div id="customer-info-unknown" style="display: none;">
        <div class="fieldset">

          <div class="field-wrapper">
            <label for="customer_name">Customer Name</label>
            <div class="field">${form.text('customer_name')}</div>
          </div>

          <div class="field-wrapper">
            <label for="customer_phone_unknown">Phone Number</label>
            <div class="field">${form.text('customer_phone_unknown')}</div>
          </div>

        </div>
      </div>
    </div>

  </div><!-- order-customer-tab -->

  <div id="order-items-tab">
    <div class="grid hoverable full">
      <table id="items">
        <thead>
          <tr>
            <th>Brand</th>
            <th>Description</th>
            <th>Size</th>
            <th>Quantity</th>
            <th>Price</th>
            <th class="edit"></th>
            <th class="delete"></th>
          </tr>
        </thead>
        <tbody>
          <tr id="no-items">
            <td colspan="7"><em>No items have been added yet.</em></td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="buttons">
      <button type="button" id="add-item">Add...</button>
    </div>
  </div><!-- order-items-tab -->

  <div id="order-note-tab">
    <p><strong>This note will apply to the order as a whole.</strong></p>
    <p>Please edit individual items to attach item-specific notes.</p>
    ${h.textarea('order-note-text')}
  </div><!-- order-note-tab -->

</div><!-- order-tabs -->

<div class="buttons">
  ${form.submit('submit', "Create Order")}
</div>

${form.end()}

${item_dialog()}

<script type="text/template" id="product-template">
  <td class="brand">{{ product_brand }}</td>
  <td class="description">{{ product_description }}</td>
  <td class="size">{{ product_size }}</td>
  <td class="quantity">{{ quantity_display }}</td>
  <td class="price">{{ price_display }}</td>
  <td class="edit"></td>
  <td class="delete"></td>
</script>
